C++ API v1.1.6 released

Post here your questions about the C++ API for SFS2X

Moderators: Lapo, Bax, MBagnati

User avatar
Bax
Site Admin
Posts: 4381
Joined: 29 Mar 2005, 09:50
Location: Italy
Contact:

C++ API v1.1.6 released

Postby Bax » 19 Nov 2014, 10:10

We just released version 1.1.6 of the C++ API for SmartFoxServer 2X.
The new version brings a number of fixes to issues reported by developers in this forum:

Code: Select all

[FIX] Missing file \Core\BoostAsio\Windows\tools\build\v2\build\config-cache.jam, required to build Boost library in Windows environment.
[FIX] Crash occurring when calling Dispose method while communication with SmartFoxServer is going down. The crash is caused by the concurrence of Dispose method that wants terminate the connection to SmartFoxServer and the processing of the connection fall-down event.
[FIX] Deadlock caused by Dispose method.
[FIX] Error in processing a MatchExpression when value is an integer datatype.
[FIX] Empty changedVars vector returned by the OnUserVariablesUpdate event when threadSafeMode is used.


You can download the API by visiting this page: http://www.smartfoxserver.com/download/sfs2x#p=client
Paolo Bax
The SmartFoxServer Team
braza
Posts: 32
Joined: 02 Jan 2014, 21:50

Re: C++ API v1.1.6 released

Postby braza » 21 Mar 2015, 19:20

Is MSVS 2013 build supposed to generate this error?

Error 1 error MSB8020: The build tools for Visual Studio 2012 (Platform Toolset = 'v110') cannot be found. To build using the v110 build tools, please install Visual Studio 2012 build tools. Alternatively, you may upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Upgrade Solution...". C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.Cpp.Platform.targets 64 5 zlibvc


from this line

Code: Select all

  <!-- Error out if toolset does not exists in Visual Studio 2010 or 2012 -->
    <VCMessage Code="MSB8020" Type="Error" Arguments="$(_CurrentPlatformToolsetShortName);$(PlatformToolset)" Condition="'$(ToolsetTargetsFound)' != 'true'" />


zlibvc project seems to be on VS2012 version. Attempt to update it to 2013 results in
Error 4 error MSB3073: The command "cd ..\..\contrib\masmx64
bld_ml64.bat
:VCEnd" exited with code 9009. C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.CppCommon.targets 122 5 zlibvc
MBagnati
Posts: 125
Joined: 12 Feb 2013, 10:57

Re: C++ API v1.1.6 released

Postby MBagnati » 26 Mar 2015, 13:13

Hi,
Due to an error, the zlibvc project for Visual Studio 2013 has been delivered as previous Visual Studio 2012 version.
When there is only Visual Studio 2013 installed on the Pc, the system shows the message that you have seen.
You can update by yourself the zlibvc project following these steps:
  • In Visual Studio, locate the Solution Browser and right click on zlibvc project
    From the popup menu select "Upgrade VC++ Compiler and Libraries"
    (see attached image "Fix - Step 1.png")
  • Visual Studio will prompt you for a confirmation, please press the OK button
    (see attached image "Fix - Step 2.png")
  • Visual Studio will convert the project. Take a look at Output panel for task information
    (see attached image "Fix - Step 3.png")
Now you are ready to build API using Visual Studio 2013

If you find any problem to perform these steps, I can provide you the converted file.

Thanks for your report
Attachments
Fix - Step 3.png
(66.4 KiB) Not downloaded yet
Fix - Step 2.png
(23.63 KiB) Not downloaded yet
Fix - Step 1.png
(117.36 KiB) Not downloaded yet
The error.png
(66.31 KiB) Not downloaded yet

Return to “SFS2X C++ API”

Who is online

Users browsing this forum: No registered users and 1 guest